#====================================================================
# Apache configuration for LemonLDAP::NG sample applications
#====================================================================

# Uncomment this if no previous NameVirtualHost declaration
#NameVirtualHost __VHOSTLISTEN__
PerlModule Lemonldap::NG::Handler::Menu

# Sample application
<VirtualHost __VHOSTLISTEN__>
    ServerName test1.__DNSDOMAIN__
    ServerAlias test2.__DNSDOMAIN__

    # SSO protection
    PerlHeaderParserHandler Lemonldap::NG::Handler

    # DocumentRoot
    DocumentRoot __TESTDIR__
    <Directory __TESTDIR__>
        <IfVersion >= 2.3>
            Require all granted
        </IfVersion>
        <IfVersion < 2.3>
            Order Deny,Allow
            Allow from all
        </IfVersion>
        Options +ExecCGI
    </Directory>

    # Perl script (application test is written in Perl)
    <Files *.pl>
        SetHandler perl-script
        PerlResponseHandler ModPerl::Registry

        # Display Menu
        PerlOutputFilterHandler Lemonldap::NG::Handler::Menu->run

    </Files>

    # Directory index
    <IfModule mod_dir.c>
        DirectoryIndex index.pl index.html
    </IfModule>

    # Uncomment this if site if you use SSL only
    #Header set Strict-Transport-Security 15768000
</VirtualHost>
